#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

my $x = Math::MPFI->new('[1, 3]');
my $y = Math::MPFI->new('[2, 4]');
my $z = Math::MPFI->new('[5, 6]');
my $i = Math::MPFI->new();
my $u = Math::MPFI->new();

Rmpfi_intersect($i, $x, $y);
Rmpfi_union($u, $x, $y);
print "$x inter $y = $i\n";
print "$x union $y = $u\n";

Rmpfi_intersect($i, $x, $z);
Rmpfi_union($u, $x, $z);
print "$x inter $z = $i\n";
print "$x union $z = $u\n";
